/* vim: set et ts=4 sw=4: */

#ifndef APP_H
#define APP_H

#include <QString>
#include <QCoreApplication>

#define ORGNAME "QPdfPresenterConsole"
#define APPNAME "qpdfpresenterconsole"
#define SHORTNAME "qpdfpresenterconsole"
#define APPVERS "2.5.13"
#ifdef Q_WS_MAC
	#define DATADIR QString(QCoreApplication::applicationDirPath() + "/../../../" + "/usr/share/qpdfpresenterconsole")
#else
	#define DATADIR "/usr/share/qpdfpresenterconsole"
#endif
#define BEAMER_NOTE_NAME "BeamerNote"
#define BEAMER_NOTES_RIGHT "right"
#define BEAMER_NOTES_LEFT "left"

const QString orgname = ORGNAME;
const QString appname = APPNAME;
const QString appvers = APPVERS;

#define DEFAULT_DURATION    20
#define DEFAULT_EMERGENCY   2
#define DEFAULT_SLIDESWIDTH 55
#define DEFAULT_PAGE        1
#define DEFAULT_MAINSCREEN  1
#define DEFAULT_PROJECTORSCREEN 2
#define DEFAULT_BEAMERNOTES false
#define DEFAULT_BEAMERNOTESPART "right"
#define DEFAULT_TEXTANNOT   false
#define DEFAULT_CHECKMULTIDISPLAY   true
#define DEFAULT_CONFIGFILE   ""

#define DEFAULT_OPENPAGE                DEFAULT_PAGE - 1
#define DEFAULT_CURRENTSLIDEPRCENTWIDTH DEFAULT_SLIDESWIDTH / 100.0
 /* in msecs */
#define DEFAULT_PRESENTATIONLENGTH      1000*60*DEFAULT_DURATION
#define DEFAULT_PRESENTATIONEMERGENCY   1000*60*DEFAULT_EMERGENCY

#define HAVE_DBUS
/* #undef HAVE_DEBUG */
/* #undef HAVE_DEBUG_AREA */

#endif // APP_H
